Subject: Re: bug#73320: [PATCH] project--vc-list-files: use Git's sparse-index

From: Dmitry Gutov <[email-masked]>
Date: Tue, 8 Oct 2024 02:38:25 +0300

On 07/10/2024 03:41, Jim Porter wrote:
> On 10/4/2024 2:25 PM, Dmitry Gutov wrote:
>> Hi Michael, Eli,
>>
>> On 04/10/2024 10:48, Michael Albinus wrote:
>>
>>>> It could use some review, though. There aren't many examples of doing
>>>> that in Emacs code.
>>> In Eshell, Jim Porter makes extensive use of connection-local
>>> variables. He has also added some functions which are useful (not
>>> applied in Tramp yet).
>>
>> Yep, Eshell seems to be have been the only other client of connection- 
>> local, until now. I was wondering whether setting a unique application 
>> name is the recommended pattern, though.
> 
> If I remember things correctly, I think using ":application eshell" was 
> a suggestion from Michael Albinus. (I don't think I'd have come up with 
> the idea on my own, since I didn't know much about connection-local 
> variables at the time.)
> 
> However, I think can be a good move to use a unique application name 
> when it makes sense because it reduces the chance of conflicts. For 
> example, in a future version of Eshell, I might make 'process- 
> environment' connection-local for ":application eshell" (it's a long 
> story). This would let users change remote env vars in Eshell freely 
> without interfering with the ":application tramp" remote env vars, which 
> would get used in other cases (e.g. when opening a remote file or using 
> M-x shell remotely).

Thanks, makes sense. Seems particularly useful for users who'd want to 
fine-tune the sets for one "application" independent from the other.

The var in vc-git is less of a user-facing thing (it still uses "--" in 
its name), so I was wondering what's the default solution that we 
recommend. Seems like it is to assign an application anyway.